Page MenuHomePhabricator

Slim application error when searching on quips
Closed, ResolvedPublic

Description

Details
Type: ErrorException
Code: 2
Message: filter_input() expects at least 2 parameters, 1 given
File: /data/project/bash/quips/src/Pages/Search.php
Line: 37
Impact

Users are unable to search using the bash tool.

Details

Request URL
https://tools.wmflabs.org/bash/search
Stack Trace
#0 [internal function]: Slim\Slim::handleErrors(2, 'filter_input() ...', '/data/project/b...', 37, Array)
#1 /data/project/bash/quips/src/Pages/Search.php(37): filter_input(1)
#2 [internal function]: Bd808\Bash\Pages\Search->handleGet()
#3 /data/project/bash/quips/vendor/wikimedia/slimapp/src/Controller.php(122): call_user_func_array(Array, Array)
#4 /data/project/bash/quips/src/App.php(281): Wikimedia\Slimapp\Controller->__invoke()
#5 [internal function]: Bd808\Bash\App->Bd808\Bash\{closure}()
#6 /data/project/bash/quips/vendor/slim/slim/Slim/Route.php(468): call_user_func_array(Object(Closure), Array)
#7 /data/project/bash/quips/vendor/slim/slim/Slim/Slim.php(1355): Slim\Route->dispatch()
#8 /data/project/bash/quips/vendor/slim/slim/Slim/Middleware/Flash.php(85): Slim\Slim->call()
#9 /data/project/bash/quips/vendor/slim/slim/Slim/Middleware/MethodOverride.php(92): Slim\Middleware\Flash->call()
#10 /data/project/bash/quips/vendor/wikimedia/slimapp/src/HeaderMiddleware.php(67): Slim\Middleware\MethodOverride->call()
#11 /data/project/bash/quips/vendor/wikimedia/slimapp/src/CsrfMiddleware.php(69): Wikimedia\Slimapp\HeaderMiddleware->call()
#12 /data/project/bash/quips/vendor/slim/slim/Slim/Middleware/PrettyExceptions.php(67): Wikimedia\Slimapp\CsrfMiddleware->call()
#13 /data/project/bash/quips/vendor/slim/slim/Slim/Slim.php(1300): Slim\Middleware\PrettyExceptions->call()
#14 /data/project/bash/quips/vendor/wikimedia/slimapp/src/AbstractApp.php(171): Slim\Slim->run()
#15 /data/project/bash/quips/public/index.php(44): Wikimedia\Slimapp\AbstractApp->run()
#16 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2020, 10:26 PM
bd808 claimed this task.Jan 16 2020, 10:28 PM
bd808 triaged this task as High priority.
bd808 edited projects, added Tools; removed Toolforge.
bd808 added a comment.Feb 7 2020, 6:32 PM

This seems likely to be fallout from the library version bumps I did in https://github.com/bd808/quips/commit/3df28dc905f184bcf811ecfb7eb70345d5d7a335

ruflin/elastica was changed from v5.2.1 to v5.3.6 in that patch.

bd808 closed this task as Resolved.Feb 14 2020, 3:03 PM